Skip to main content
PATCH
/
api
/
v1
/
school
/
teacher-comment-templates
/
{id}
Update teacher comment templates partial
curl --request PATCH \
  --url https://api.example.com/api/v1/school/teacher-comment-templates/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "level": "A Level",
  "teacher": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subject": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_general": true,
  "is_deleted": true
}
'
{
  "level": "A Level",
  "teacher": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subject": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subject_name": "<string>",
  "is_general": true,
  "is_deleted": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this teacher comment template.

Body

Auto-populate created_by from request.user when available.

level
enum<string> | null
  • A Level - A Level
  • O Level - O Level
Available options:
A Level,
O Level,
,
null
teacher
string<uuid>
subject
string<uuid> | null
is_general
boolean
is_deleted
boolean

Response

200 - application/json

Auto-populate created_by from request.user when available.

level
enum<string> | null
required
  • A Level - A Level
  • O Level - O Level
Available options:
A Level,
O Level,
,
null
teacher
string<uuid>
required
subject
string<uuid> | null
required
id
string<uuid>
subject_name
string | null
is_general
boolean
is_deleted
boolean
created_at
string<date-time>
updated_at
string<date-time>